/*
 * BlueToothCanvas.java
 *
 * Created on September 14, 2006, 2:28 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package bluetoothtest;

import java.io.IOException;
import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;
import javax.microedition.lcdui.game.GameCanvas;
import javax.microedition.lcdui.game.Sprite;

/**
 *
 * @author g0600340
 */
public class BlueToothCanvas extends GameCanvas {
    private Sprite player;
    private String imgPath;
    private Graphics g;
    
    /** Creates a new instance of BlueToothCanvas */
    public BlueToothCanvas(String imgPath) {
        super(true);
        this.imgPath = imgPath;
        
        createPlayer();
        
        
    }
    
    public Sprite getPlayer() {
        return player;
    }
    
    private void createPlayer() {
        Image playerImg = null;
        try{
            playerImg = Image.createImage(imgPath);
        }catch(IOException ex) {}
    
        player = new Sprite(playerImg, playerImg.getWidth(), playerImg.getHeight());
        player.setPosition(40,40);
    }


    
    public void redraw() {
        if (g==null)
            g = getGraphics();
        
        g.setColor(0);
        g.fillRect(0, 0, getWidth(), getHeight());
        player.paint(g);
        flushGraphics();
    }
    
}
